### Enumeration

# Qmi NasNetworkType

since: 1.0

#### Declaration

    enum Qmi.NasNetworkType

#### Description [src]

Type of network.

Available since: 1.0

#### Members

`QMI_NAS_NETWORK_TYPE_UNKNOWN`

  Unknown.

  - Value: `0`
  - Available since: 1.0
`QMI_NAS_NETWORK_TYPE_3GPP2`

  3GPP2 network.

  - Value: `1`
  - Available since: 1.0
`QMI_NAS_NETWORK_TYPE_3GPP`

  3GPP network.

  - Value: `2`
  - Available since: 1.0

#### Type functions

###### qmi_nas_network_type_get_string

Gets the nickname string for the `QmiNasNetworkType` specified at `val`.

since: 1.0